org.apache.hadoop.util

## Class FastNumberFormat

- java.lang.Object
- - org.apache.hadoop.util.FastNumberFormat

-     public class FastNumberFormat
      extends Object

  Fast thread-safe version of NumberFormat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastNumberFormat()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `format(StringBuilder sb, long value, int minimumDigits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastNumberFormat

          public FastNumberFormat()

  - ### Method Detail

    - #### format

          public static StringBuilder format(StringBuilder sb,
                                             long value,
                                             int minimumDigits)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.